//OFSO custom JS
$(document).ready(function(){
	if($('#abstractAndKeywords').length > 0){
		$('h1').replaceWith(function(){
			return '<h2>' + $(this).text() + '</h2>'; 
        });
		$('.div1 p:contains("Document")').first().replaceWith(function(){
			return '<h2>' + $(this).text() + '</h2>'; 
		});
		
		$('.div1 p').filter(function(){
			return $(this).text() === "Review";
		}).replaceWith('<h2>Review</h2>');
		
		$('.div1 p').filter(function(){
			return $(this).text() === "Review:";
		}).replaceWith('<h2>Review</h2>');
		
		$('.div1 p').filter(function(){
			return $(this).text() === "Notes";
		}).parent('div').remove();
		
		$('.enumerator').remove();
		$('#notes h2').replaceWith('<h2>Notes</h2>');
		
		$('.abstractMinus').text("Introduction");
		
		$('h2[id*="title"').find('b').unwrap();
		$('h2[id*="title"').wrap("<h3 class='subhead'></h3>");
		$('h2[id*="title"').find('.sc').unwrap();
		$('h2[id*="title"').contents().unwrap();
		
		$('blockquote').unwrap();	
		$('blockquote ul').unwrap();
		
		$('i').each(function() {
			$(this).replaceWith($('<em>' + $(this).text() + '</em>'));
		})
		
		
		$('.customEnumerator i').each(function() {
			
			var iText = $(this).text();
			$(this).parent().empty().append(iText);
			
		});
		
		
		$('#abstractAndKeywords').after('<hr class="devider devider-dotted">');
		
		var comp = 0;
		var rootH2 = $('#abstractAndKeywords').children('h2');
		$(rootH2).click(function() {
			var state = $(this).attr('class');
			if (state === 'abstractMinus') {
				$('.abstract').addClass('clearAbst').removeClass('abstract');
				$('.abstractMinus').addClass('abstractPlus').removeClass('abstractMinus');
			} else if (state === 'abstractPlus') {
				$('.clearAbst').addClass('abstract').removeClass('clearAbst');
				$('.abstractPlus').addClass('abstractMinus').removeClass('abstractPlus');
			}
		});
		function evalHTML(){
			//submit a correct response to existing eval method
			var formData = {response: {'matchingResponse': []}, resourceId: '57e000534118fe0f000abcf4', contentId: '591f2c8368657d996107b35b', contentType: 'matching'};formData.response.matchingResponse.push( {a: '<p>Mass</p>', b: '<p>The transmission of messages to large, usually widespread audiences via broadcast, print, multimedia, and other forms of media, such as recordings and movies</p>'} );formData.response.matchingResponse.push( {a: '<p>Organizational</p>', b: '<p>Communication that occurs among a structured collection of people in order to meet a need or pursue a goal&nbsp;</p>'} );formData.response.matchingResponse.push( {a: '<p>Interpersonal</p>', b: '<p>Communication in which the parties consider one another as unique individuals rather than as objects</p>'} );formData.response.matchingResponse.push( {a: '<p>Small group</p>', b: '<p>Communication within a group of a size such that every member can participate actively with the other members</p>'} );$.ajax( {type: 'POST', url: '/access/content/evaluate', data: formData, dataType: 'json', encode: true} ).done( function( data ) {var result = ( data && data.result && data.result.result ) ? data.result.result : data.result;} );
		}
		$(window).scroll(function() {
		   if($(window).scrollTop() + $(window).height() == $(document).height() && comp == 0) {
			   console.log("eoa");
			   comp = 1;
			   evalHTML();
		   }
		});
	}
});